# $Revision: 1.6 $, $Date: 2002/10/02 14:40:34 $
Summary:	selectwm, select a window manager at X startup
Summary(pl):	selectwm - wybr zarzdcy okien przy starcie X
Name:		selectwm
Version:	0.4
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://ordiluc.net/selectwm/%{name}-%{version}.tar.bz2
Patch0:		%{name}-am_fixes.patch
URL:		http://ordiluc.net/selectwm/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
selectwm is a simple but robust program that will let you pick a
window manager (or other executable) to run at X startup, and
optionally after a window manager exits. It uses the GTK+ toolkit, and
includes options like a timer to start the default window manager, and
modification of the window manager list from within %{name}.

%description -l pl
selectwm to prosty, ale uyteczny program, ktry pozwala wybra
menadera okien (lub inny program) do uruchomienia przy starcie X oraz
opcjonalnie po zakoczeniu menadera okien. Uywa toolkitu GTK+ i ma
takie opcje, jak czas po ktrym uruchamia domylnego menadera oraz
modyfikowanie listy zarzdcw okien z programu.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/selectwm
%{_mandir}/man1/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: selectwm.spec,v $
Revision 1.6  2002/10/02 14:40:34  kloczek
- fixed %files -f parameter.

Revision 1.5  2002/10/02 13:03:33  qboosh
- pl description, release 2

Revision 1.4  2002/09/28 16:35:53  kloczek
- added am_fixes patch
- finished (many fixes).

Revision 1.3  2002/09/28 11:24:14  grzegorz
- grr, stupid joe

Revision 1.2  2002/09/28 11:18:43  grzegorz
- adaptarized
